﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDockManagerDockingDockingIndicators
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        TransformGroup tg = new TransformGroup();
        ScaleTransform st = new ScaleTransform();

        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {

            st.ScaleX = st.ScaleY = 1;
            tg.Children.Add(st);

            XamDM.LayoutTransform = tg;
            st.ScaleY = st.ScaleY * 1.5;
            st.ScaleX = st.ScaleX * 1.5;
        }

        private void XamDM_PaneDragStarting(object sender, Infragistics.Windows.DockManager.Events.PaneDragStartingEventArgs e)
        {
            XamDM.LayoutTransform = new TransformGroup();
        }

        private void XamDM_PaneDragEnded(object sender, Infragistics.Windows.DockManager.Events.PaneDragEndedEventArgs e)
        {
             XamDM.LayoutTransform = tg;
        }
    }
}
